globalThis.navigator = globalThis.navigator || {};
'use strict';

var formatters_annotated = require('./formatters/annotated.cjs');
var formatters_console = require('./formatters/console.cjs');
var formatters_html = require('./formatters/html.cjs');
var formatters_jsonpatch = require('./formatters/jsonpatch.cjs');
var dateReviver = require('./date-reviver.cjs');
require('./formatters/base.cjs');
require('./diff.cjs');
require('./contexts/context.cjs');
require('./contexts/patch.cjs');
require('./contexts/reverse.cjs');
require('./filters/trivial.cjs');
require('./filters/nested.cjs');
require('./filters/arrays.cjs');
require('./filters/lcs.cjs');
require('./filters/dates.cjs');
require('./filters/texts.cjs');

function create(options) {
    return new dateReviver.DiffPatcher(options);
}
let defaultInstance;
function diff(left, right) {
    if (!defaultInstance) {
        defaultInstance = new dateReviver.DiffPatcher();
    }
    return defaultInstance.diff(left, right);
}
function patch(left, delta) {
    if (!defaultInstance) {
        defaultInstance = new dateReviver.DiffPatcher();
    }
    return defaultInstance.patch(left, delta);
}
function unpatch(right, delta) {
    if (!defaultInstance) {
        defaultInstance = new dateReviver.DiffPatcher();
    }
    return defaultInstance.unpatch(right, delta);
}
function reverse(delta) {
    if (!defaultInstance) {
        defaultInstance = new dateReviver.DiffPatcher();
    }
    return defaultInstance.reverse(delta);
}
function clone(value) {
    if (!defaultInstance) {
        defaultInstance = new dateReviver.DiffPatcher();
    }
    return defaultInstance.clone(value);
}

exports.AnnotatedFormatter = formatters_annotated.default;
exports.ConsoleFormatter = formatters_console.default;
exports.HtmlFormatter = formatters_html.default;
exports.JSONFormatter = formatters_jsonpatch.default;
exports.DiffPatcher = dateReviver.DiffPatcher;
exports.dateReviver = dateReviver.dateReviver;
exports.clone = clone;
exports.create = create;
exports.diff = diff;
exports.patch = patch;
exports.reverse = reverse;
exports.unpatch = unpatch;
